ros-dashing-rviz-rendering (6.1.8-1bionic) bionic; urgency=high

  * Prevent rviz_rendering::AssimpLoader from loading materials twice. (#628 <https://github.com/ros2/rviz/issues/628>)
  * Contributors: Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 21 May 2021 07:00:00 -0000

ros-dashing-rviz-rendering (6.1.7-1bionic) bionic; urgency=high

  * Update maintainers. (#617 <https://github.com/ros2/rviz/issues/617>)
  * Contributors: Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 24 Nov 2020 08:00:00 -0000

ros-dashing-rviz-rendering (6.1.6-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Mar 2020 07:00:00 -0000

ros-dashing-rviz-rendering (6.1.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Dec 2019 08:00:00 -0000

ros-dashing-rviz-rendering (6.1.4-1bionic) bionic; urgency=high

  * Updated to use new ``eigen3_cmake_module``. (#441 <https://github.com/ros2/rviz/issues/441>) (#452 <https://github.com/ros2/rviz/issues/452>)
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 06 Sep 2019 07:00:00 -0000

ros-dashing-rviz-rendering (6.1.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-rviz-rendering (6.1.2-1bionic) bionic; urgency=high

  * Fixed a bug in the STL loader where an STL would be loaded twice and produce an error. (#410 <https://github.com/ros2/rviz/issues/410>)
    * Also fixed a warning about a missing material, by adding BaseWhiteNoLighting to the ``rviz_rendering`` resource group.
    * Previous to Ogre 1.11, materials would be searched in all groups With 1.11, this is no longer true.
    * In RViz, we try to put materials in our own resource group, but we need the Ogre fallback material.
  * Contributors: Martin Idel

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-rviz-rendering (6.1.1-1bionic) bionic; urgency=high

  * Fixed the installation destination of OGRE media resources which contain a ``dirname`` (#404 <https://github.com/ros2/rviz/issues/404>)
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-dashing-rviz-rendering (6.1.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-rviz-rendering (6.0.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rviz-rendering (5.1.0-1bionic) bionic; urgency=high

  * Handle FindEigen3 module's differing definitions (#370 <https://github.com/ros2/rviz/issues/370>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-dashing-rviz-rendering (5.0.0-1bionic) bionic; urgency=high

  * Export libraries to trigger hooks. (#358 <https://github.com/ros2/rviz/issues/358>)
  * Added virtual destructors for WindowManagerInterface and ViewportProjectionFinder (#356 <https://github.com/ros2/rviz/issues/356>)
  * Increased visual testing stability (#344 <https://github.com/ros2/rviz/issues/344>)
  * Cleanup dependencies for rviz_rendering_tests (#326 <https://github.com/ros2/rviz/issues/326>)
  * Changed to always build all tests and skip execution if not supported (#342 <https://github.com/ros2/rviz/issues/342>)
  * Changed to support uncrustify 0.67 (#333 <https://github.com/ros2/rviz/issues/333>)
    * fix closing block and tamplete indentation to comply with uncrustify 0.67
    * add space between reference and variable name
    * space before opening bracket
    * fix indend of inherited class
    * fix indent of code blocks
    * no space around -> operator
    * restore original spacing
  * Contributors: Andreas Greimel, Kartik Mohta, Mikael Arguedas, Steven! Ragnarök, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-dashing-rviz-rendering (4.0.1-1bionic) bionic; urgency=high

  * move find_package or test dependencies to test block (#331 <https://github.com/ros2/rviz/issues/331>)
  * Contributors: William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-dashing-rviz-rendering (4.0.0-1bionic) bionic; urgency=high

  * Fixed the dependecy name for ``eigen``. (#324 <https://github.com/ros2/rviz/issues/324>)
  * Fixed bugs causing rviz to crash on macOS. (#319 <https://github.com/ros2/rviz/issues/319>)
    * Fix Ogre assertion failure on Mac on resizing an Image or Camera display render window.
    * Fix segfault on Mac when resizing window after a Camera or Image Display was removed.
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Restored the use of icons throughout rviz. (#235 <https://github.com/ros2/rviz/issues/235>)
  * Migrated the Path display. (#236 <https://github.com/ros2/rviz/issues/236>)
  * Migrated the marker display. (#229 <https://github.com/ros2/rviz/issues/229>)
  * Migrated RobotModel display. (#210 <https://github.com/ros2/rviz/issues/210>)
  * Changed to allow Ogre to delete its own render windows. (#195 <https://github.com/ros2/rviz/issues/195>)
  * Fixed compilation errors and runtime issues on Windows. (#175 <https://github.com/ros2/rviz/issues/175>)
  * Fixed a memory leak. (#173 <https://github.com/ros2/rviz/issues/173>)
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Refactored the Grid display. (#165 <https://github.com/ros2/rviz/issues/165>)
  * Remove now obsolete function. (#163 <https://github.com/ros2/rviz/issues/163>)
    * It was made obsolete by pr #136 <https://github.com/ros2/rviz/issues/136> which removed the memcopy.
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Dirk Thomas, Martin Idel, Mikael Arguedas, Steven! Ragnarök, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-dashing-rviz-rendering (3.0.0-1bionic) bionic; urgency=high

  * Numerous changes to support Windows.
  * Disabled anti-aliasing on Windows. (#199 <https://github.com/ros2/rviz/issues/199>)
    * This fixes rendering issues on Windows when opening two or more render windows.
  * Contributors: William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-dashing-rviz-rendering (2.0.0-1bionic) bionic; urgency=high

  * First version for ROS 2.
  * Contributors: Andreas Greimel, Andreas Holzner, Hunter Allen, Johannes Jeising, Martin Idel, Steven! Ragnarok, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-dashing-rviz-rendering (1.12.11-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.10-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-dashing-rviz-rendering (1.12.9-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-dashing-rviz-rendering (1.12.8-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 07 May 2017 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 05 May 2017 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.6-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 May 2017 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 May 2017 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.4-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.2-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.1-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-dashing-rviz-rendering (1.12.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.14-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.13-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-dashing-rviz-rendering (1.11.11-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-dashing-rviz-rendering (1.11.10-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.9-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.8-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 02 Mar 2015 08:00:00 -0000

ros-dashing-rviz-rendering (1.11.6-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 13 Feb 2015 08:00:00 -0000

ros-dashing-rviz-rendering (1.11.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Feb 2015 08:00:00 -0000

ros-dashing-rviz-rendering (1.11.4-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 26 Jun 2014 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.2-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 13 May 2014 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.1-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 May 2014 07:00:00 -0000

ros-dashing-rviz-rendering (1.11.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 05 Mar 2014 05:40:00 -0000

ros-dashing-rviz-rendering (1.10.14-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 05 Mar 2014 05:35:00 -0000

ros-dashing-rviz-rendering (1.10.13-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Feb 2014 08:00:00 -0000

ros-dashing-rviz-rendering (1.10.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-dashing-rviz-rendering (1.10.11-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 26 Jan 2014 08:00:00 -0000

ros-dashing-rviz-rendering (1.10.10-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 22 Dec 2013 08:00:00 -0000

ros-dashing-rviz-rendering (1.10.9-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Oct 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.10.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 16 Sep 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.10.6-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 03 Sep 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.10.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 28 Aug 2013 10:50:00 -0000

ros-dashing-rviz-rendering (1.10.4-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 28 Aug 2013 10:13:00 -0000

ros-dashing-rviz-rendering (1.10.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Aug 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.10.2-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 26 Jul 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.10.1-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 16 Jul 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.10.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 27 Jun 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.9.30-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 May 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.9.29-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 15 Apr 2013 07:00:00 -0000

ros-dashing-rviz-rendering (1.9.27-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 15 Mar 2013 20:23:00 -0000

ros-dashing-rviz-rendering (1.9.26-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 15 Mar 2013 17:38:00 -0000

ros-dashing-rviz-rendering (1.9.25-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Mar 2013 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.24-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sat, 16 Feb 2013 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.23-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 13 Feb 2013 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.22-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 13 Feb 2013 00:30:00 -0000

ros-dashing-rviz-rendering (1.9.21-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Feb 2013 22:00:00 -0000

ros-dashing-rviz-rendering (1.9.20-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 21 Jan 2013 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.19-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.18-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 18 Dec 2012 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.17-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 14 Dec 2012 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.16-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Nov 2012 23:49:00 -0000

ros-dashing-rviz-rendering (1.9.15-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 13 Nov 2012 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.14-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Nov 2012 10:20:00 -0000

ros-dashing-rviz-rendering (1.9.13-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Nov 2012 08:58:00 -0000

ros-dashing-rviz-rendering (1.9.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Nov 2012 08:00:00 -0000

ros-dashing-rviz-rendering (1.9.11-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 02 Nov 2012 07:00:00 -0000

ros-dashing-rviz-rendering (1.9.10-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2012 18:10:00 -0000

ros-dashing-rviz-rendering (1.9.9-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2012 18:01:00 -0000

ros-dashing-rviz-rendering (1.9.8-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2012 17:52:00 -0000

ros-dashing-rviz-rendering (1.9.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2012 17:40:00 -0000

ros-dashing-rviz-rendering (1.9.6-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 31 Oct 2012 07:00:00 -0000

ros-dashing-rviz-rendering (1.9.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 19 Oct 2012 07:00:00 -0000

ros-dashing-rviz-rendering (1.9.4-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 15 Oct 2012 22:00:00 -0000

ros-dashing-rviz-rendering (1.9.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 15 Oct 2012 17:41:00 -0000

ros-dashing-rviz-rendering (1.9.2-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 12 Oct 2012 20:38:00 -0000

ros-dashing-rviz-rendering (1.9.1-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 12 Oct 2012 18:57:00 -0000

ros-dashing-rviz-rendering (1.9.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 10 Oct 2012 07:00:00 -0000


